function com_netobjects_redirectionComponent( params ) {

	this.sendRedirect = sendRedirect;	
	this.sendtoURL = sendtoURL;
   	this.name = (params.name+"" != "undefined" && params.name != null ? params.name : "redirectionComponent1");
   	this.ie3URL = (params.ie3URL+"" != "undefined" && params.ie3URL != null ? params.ie3URL : "");
	this.nn3URL = (params.nn3URL+"" != "undefined" && params.nn3URL != null ? params.nn3URL : "");
	this.ie4plusURL = (params.ie4plusURL+"" != "undefined" && params.ie4plusURL != null ? params.ie4plusURL : "");
	this.nn4plusURL = (params.nn4plusURL+"" != "undefined" && params.nn4plusURL != null ? params.nn4plusURL : "");
	this.defaultURL = (params.defaultURL+"" != "undefined" && params.defaultURL != null ? params.defaultURL : "");
   	this.timeDelay = (params.timeDelay+"" != "undefined" && params.timeDelay != null ? params.timeDelay : 0);
   	this.currentBrowser = 0;

	/* ======================================================================
	FUNCTION:	getCurrentBrowserInt 
	 
	INPUT: 		none.
	
	RETURN:		a integer indicating the index of the current browser
	
	DESC:			This function is used with client-side JavaScript to detect
					the brand and version of the user's browser.  Detects only
					Netscape and Microsoft browsers.  Returns 0 if a different
					brand is detected.
	
	PLATFORMS:	Netscape Navigator 3.01 and higher,
				  	Microsoft Internet Explorer 3.02 and higher,
	====================================================================== */

	function getCurrentBrowserInt() {
		var current_browser = 0; 
		var bwr = navigator.appName+""; 
		var ver = parseInt(navigator.appVersion, 10); 

		if(ver+"" != "NaN")
		{
		  if ( bwr.toUpperCase() == "NETSCAPE" && ver == 5 ) current_browser = 4; 
		  else if ( bwr.toUpperCase() == "NETSCAPE" && ver == 4 ) current_browser = 3; 
		  else if ( bwr.toUpperCase() == "NETSCAPE" && ver == 3 ) current_browser = 2;  
		  else if ( bwr.toUpperCase() == "NETSCAPE" && ver == 2 ) current_browser = 1; 
		  else if ( bwr.toUpperCase() == "MICROSOFT INTERNET EXPLORER" && ver == 3 ) current_browser = 5; 
		  else if ( bwr.toUpperCase() == "MICROSOFT INTERNET EXPLORER" && ver == 4 ) current_browser = 6; 
		  else if ( bwr.toUpperCase() == "MICROSOFT INTERNET EXPLORER" && ver == 5 ) current_browser = 7; 
		  else current_browser = 0;
		}
		return current_browser;
	} // end getCurrentBrowserInt

	function formatOutput(URL) {
        var outputString;
	   if(URL.substring(0, 4)+"" != "http")
		  outputString = "http://" + URL;
	   else
		  outputString = URL;
	   return outputString;
   }

     function sendtoURL(URL) {
        window.location = URL;
	   window.clearTimeout();
     }
	
	function sendRedirect( ) {
      var URL;

		this.currentBrowser = getCurrentBrowserInt();
	   switch ( this.currentBrowser ) {
        case 2 : 
			 URL = this.nn3URL+"";
			 if(URL != "null" || URL != "undefined" || URL != "")
			 {
		      URL = formatOutput(this.nn3URL+"");
			window.setTimeout(this.name + ".sendtoURL('" + URL + "')", this.timeDelay*1000);
 		    }
          break;
        case 3 : 
		  case 4 :
			 URL = this.nn4plusURL+"";
			 if(URL != "null" || URL != "undefined" || URL != "")
			 {
		      URL = formatOutput(this.nn4plusURL+"");
			window.setTimeout(this.name + ".sendtoURL('" + URL + "')", this.timeDelay*1000);
 		    }
          break;
        case 5 : 
			 URL = this.ie3URL+"";
			 if(URL != "null" || URL != "undefined" || URL != "")
			 {
		      URL = formatOutput(this.ie3URL+"");
			window.setTimeout(this.name + ".sendtoURL('" + URL + "')", this.timeDelay*1000);
 		    }
          break;
        case 6 : 
		  case 7 :
			 URL = this.ie4plusURL+"";
			 if(URL != "null" || URL != "undefined" || URL != "")
			 {
		        URL = formatOutput(this.ie4plusURL+"");
			   window.setTimeout(this.name + ".sendtoURL('" + URL + "')", this.timeDelay*1000);
 		      }
          break;
        default : 
			 URL = this.defaultURL+"";
			 if(URL != "null" || URL != "undefined" || URL != "")
			 {
		      URL = formatOutput(this.defaultURL+"");
			window.setTimeout(this.name + ".sendtoURL('" + URL + "')", this.timeDelay*1000);
 		    }
      }
	}
}	
	